### env dbrename |

`

###

    env dbrename
    	[-auto_commit]
    	[-txn txnid]
    	[--]
    	file
    	newname

### Description(env dbrename)

Rename the Berkeley DB database file to newname.

The options are as follows:

-auto_commit
  Enclose the call within a transaction. If the call succeeds, changes made by the operation will be recoverable. If the call fails, the operation will have made no changes.

-txn txnid
  If the operation is to be transaction-protected (other than by specifying the -auto_commit flag), the txnid parameter is a transaction handle returned from env txn.

The env dbrename command returns 0 on success, and in the case of error, a Tcl error is thrown.

`

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.